name: "Health Data Query Scenarios"
description: "测试健康数据查询功能"

scenarios:
  - id: "query_001"
    description: "查询昨天的睡眠"
    steps:
      - user: "昨天的睡眠怎么样？"
        expected_tools:
          - "get_daily_detailed_stats"
        expected_response_contains:
          - "睡眠"
        description: "Bot should query sleep data for yesterday"

  - id: "query_002"
    description: "查询今天的运动"
    steps:
      - user: "今天有什么运动记录吗？"
        expected_tools:
          - "get_activity_history"
        description: "Bot should query activity history"

  - id: "query_003"
    description: "查询HRV趋势"
    steps:
      - user: "过去30天的HRV变化趋势"
        expected_tools:
          - "get_metric_history"
        expected_response_contains:
          - "HRV"
        description: "Bot should query HRV metric history"

  - id: "query_004"
    description: "同步Garmin数据"
    steps:
      - user: "同步一下Garmin数据"
        expected_tools:
          - "sync_garmin"
        description: "Bot should trigger Garmin sync"
